# Created by pyp2rpm-3.2.2
%global pypi_name pywebpush

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        1%{?dist}
Summary:        WebPush publication library

License:        MPL2
URL:            https://github.com/web-push-libs/pywebpush
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-cryptography >= 1.8.1
BuildRequires:  python-http-ece >= 1.0.1
BuildRequires:  python-requests >= 2.13.0
BuildRequires:  python-py-vapid >= 1.3.0
BuildRequires:  python-nose >= 1.3.7
BuildRequires:  python-coverage >= 4.4.1
BuildRequires:  python-mock >= 2.0.0
BuildRequires:  python-flake8 >= 3.3.0
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-cryptography >= 1.8.1
BuildRequires:  python3-http-ece >= 1.0.1
BuildRequires:  python3-requests >= 2.13.0
BuildRequires:  python3-py-vapid >= 1.3.0
BuildRequires:  python3-nose >= 1.3.7
BuildRequires:  python3-coverage >= 4.4.1
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-flake8 >= 3.3.0
BuildRequires:  python3-setuptools

%description
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-cryptography >= 1.8.1
Requires:       python-http-ece >= 1.0.1
Requires:       python-requests >= 2.13.0
Requires:       python-py-vapid >= 1.3.0
%description -n python2-%{pypi_name}
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-cryptography >= 1.8.1
Requires:       python3-http-ece >= 1.0.1
Requires:       python3-requests >= 2.13.0
Requires:       python3-py-vapid >= 1.3.0
%description -n python3-%{pypi_name}
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
cp %{buildroot}/%{_bindir}/pywebpush %{buildroot}/%{_bindir}/pywebpush-%{python3_version}
ln -s %{_bindir}/pywebpush-%{python3_version} %{buildroot}/%{_bindir}/pywebpush-3

%py2_install
cp %{buildroot}/%{_bindir}/pywebpush %{buildroot}/%{_bindir}/pywebpush-%{python2_version}
ln -s %{_bindir}/pywebpush-%{python2_version} %{buildroot}/%{_bindir}/pywebpush-2


%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst README.md
%{_bindir}/pywebpush
%{_bindir}/pywebpush-2
%{_bindir}/pywebpush-%{python2_version}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst README.md
%{_bindir}/pywebpush-3
%{_bindir}/pywebpush-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Oct 31 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.7.0-1
- Update to upstream.

* Sat Jan 27 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5.0-1
- Initial package.
